MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0029112Open CASCADE[OCCT] OCCT:Configurationpublic2017-09-15 08:222018-06-29 21:19
Reporterabv 
Assigned Tobugmaster 
PrioritynormalSeverityminor 
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version[OCCT] 7.2.0 
Target Version[OCCT] 7.3.0Fixed in Version[OCCT] 7.3.0 
Summary0029112: Configuration, Image_VideoRecorder - compilation fails on Ubuntu with libavutil 54.x (FFmpeg 2.7.6)
DescriptionCompilation of current OCCT master fails on Ubuntu 15 with FFmpeg 2.7.6 and libaviutil 54.27.100: the headers of the latter define macro PixelFormat which clashes with name of the field of the structure Image_VideoParams.

A side note is that structure Image_VideoParams is defined in the same header with another class (Image_VideoRecorder.hxx) while by existing convention it should be placed in its own header.
Steps To ReproduceBuild on Ubuntu 15 with default FFmpeg.
Note that Ubuntu 15.04/15.10 are not LTS releases and their support has been stopped a long time ago.
TagsNo tags attached.
Test case numberNot required
Attached Files

- Relationships
related to 0029113closedbugmaster Coding Rules - fix convention to have one header per API type 
child of 0025382closedkgv Visualization, TKOpenGl - improved video recording capability 

-  Notes
(0070558)
git (administrator)
2017-09-15 08:38

Branch CR29112 has been created by abv.

SHA-1: 648e7a3ef16b9b1fb35f6245224aa15c1fbb0bee


Detailed log of new commits:

Author: abv
Date: Fri Sep 15 08:35:07 2017 +0300

    0029112: Visualization - compilation fails on Ubuntu with libaviutil 54.x (FFmpeg 2.7.6)
    
    Offending macro is undefined to allow compilation with libaviutil 54.x
(0070559)
abv (manager)
2017-09-15 08:39

Fix is pushed to CR29112, please review. Common testing is not needed as fix concerns only compilation on specific platform.
(0070560)
kgv (developer)
2017-09-15 09:13

+// this macro ais defined in headers of older versions of libaviutil

Please fix misprints ais->is, libaviutil->avutil.
Otherwise looks fine.
(0070561)
git (administrator)
2017-09-15 09:28

Branch CR29112 has been updated forcibly by abv.

SHA-1: d755b2e1563f3c85bf801d6d8b9ac6c434a228d9
(0070562)
abv (manager)
2017-09-15 09:29

Comments are corrected
(0070563)
kgv (developer)
2017-09-15 09:33

> 0029112: Visualization - compilation fails on Ubuntu with libaviutil 54.x (FFmpeg 2.7.6)
The commit description still contains misprint.
(0070576)
bugmaster (administrator)
2017-09-15 11:16

Could you clarify what I should do?
(0070762)
git (administrator)
2017-09-21 21:53

Branch CR29112 has been updated forcibly by inv.

SHA-1: ac109f6c5f62b7ccdb5d2365423a2d9941484725
(0070814)
git (administrator)
2017-09-24 19:29

Branch CR29112_1 has been created by abv.

SHA-1: 69aabed899f10d71dda01e5c4b3c6a5ef6890aeb


Detailed log of new commits:

Author: abv
Date: Fri Sep 15 08:35:07 2017 +0300

    0029112: Visualization - compilation fails on Ubuntu with libavutil 54.x (FFmpeg 2.7.6)
    
    Offending macro is undefined to allow compilation with libavutil 54.x
(0070815)
abv (manager)
2017-09-24 19:29

Corrected and rebased on current master, please consider for integration
(0070878)
bugmaster (administrator)
2017-09-26 15:24

Combination -
OCCT branch : CR29112_1 SHA-1: 69aabed899f10d71dda01e5c4b3c6a5ef6890aeb
Products branch : master
was compiled on Linux, MacOS and Windows platforms and tested on optimize mode.

http://jenkins-test-10.nnov.opencascade.com/view/CR29112_1-master-INV/ [^]

Number of compiler warnings:
No new/fixed warnings

Regressions/Differences/Improvements:
No regressions/differences

CPU differences:
No differences that require special attention

Image differences :
No differences that require special attention

Memory differences :
No differences that require special attention
(0071031)
git (administrator)
2017-09-29 17:11

Branch CR29112 has been deleted by kgv.

SHA-1: ac109f6c5f62b7ccdb5d2365423a2d9941484725
(0071032)
git (administrator)
2017-09-29 17:11

Branch CR29112_1 has been deleted by kgv.

SHA-1: 69aabed899f10d71dda01e5c4b3c6a5ef6890aeb

- Related Changesets
occt: master 746f3d7a
Timestamp: 2017-09-15 05:35:07
Author: abv
Committer: bugmaster
Details ] Diff ]
0029112: Visualization - compilation fails on Ubuntu with libavutil 54.x (FFmpeg 2.7.6)

Offending macro is undefined to allow compilation with libavutil 54.x
mod - src/Image/Image_VideoRecorder.cxx Diff ] File ]
mod - src/Image/Image_VideoRecorder.hxx Diff ] File ]

- Issue History
Date Modified Username Field Change
2017-09-15 08:22 abv New Issue
2017-09-15 08:22 abv Assigned To => kgv
2017-09-15 08:38 git Note Added: 0070558
2017-09-15 08:39 abv Note Added: 0070559
2017-09-15 08:39 abv Status new => resolved
2017-09-15 08:39 abv Steps to Reproduce Updated View Revisions
2017-09-15 09:13 kgv Note Added: 0070560
2017-09-15 09:13 kgv Assigned To kgv => abv
2017-09-15 09:13 kgv Status resolved => assigned
2017-09-15 09:13 kgv Product Version => 7.2.0
2017-09-15 09:14 kgv Relationship added child of 0025382
2017-09-15 09:16 kgv Category OCCT:Visualization => OCCT:Configuration
2017-09-15 09:16 kgv Summary Visualization - compilation fails on Ubuntu with libaviutil 54.x (FFmpeg 2.7.6) => Configuration, Image_VideoRecorder - compilation fails on Ubuntu with libavutil 54.x (FFmpeg 2.7.6)
2017-09-15 09:18 kgv Steps to Reproduce Updated View Revisions
2017-09-15 09:28 git Note Added: 0070561
2017-09-15 09:29 abv Note Added: 0070562
2017-09-15 09:29 abv Assigned To abv => bugmaster
2017-09-15 09:29 abv Status assigned => resolved
2017-09-15 09:29 abv Status resolved => reviewed
2017-09-15 09:31 abv Relationship added related to 0029113
2017-09-15 09:33 kgv Note Added: 0070563
2017-09-15 11:16 bugmaster Note Added: 0070576
2017-09-15 11:16 bugmaster Assigned To bugmaster => abv
2017-09-15 11:16 bugmaster Status reviewed => feedback
2017-09-21 21:53 git Note Added: 0070762
2017-09-24 19:29 git Note Added: 0070814
2017-09-24 19:29 abv Note Added: 0070815
2017-09-24 19:29 abv Assigned To abv => bugmaster
2017-09-24 19:29 abv Status feedback => reviewed
2017-09-26 15:24 bugmaster Note Added: 0070878
2017-09-26 15:24 bugmaster Status reviewed => tested
2017-09-26 15:24 bugmaster Test case number => Not required
2017-09-29 13:26 bugmaster Changeset attached => occt master 746f3d7a
2017-09-29 13:26 bugmaster Status tested => verified
2017-09-29 13:26 bugmaster Resolution open => fixed
2017-09-29 17:11 git Note Added: 0071031
2017-09-29 17:11 git Note Added: 0071032
2018-06-29 21:15 user533 Fixed in Version => 7.3.0
2018-06-29 21:19 user533 Status verified => closed


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker